import {assertNever} from "../utils";
import {Expression} from "./types";

export function evaluate(expr: Expression): number {
  switch (expr.type) {
    case "literal": {
      return expr.value;
    }

    /* istanbul ignore next */
    default: {
      return assertNever("Unexpected expression type", expr);
    }
  }
}
